Bug 4119 - Junk в Mozilla-mail при IMAP и папках для автономной работы
: Junk в Mozilla-mail при IMAP и папках для автономной работы
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/mozilla)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-12 11:29 by
Modified: 2007-04-06 16:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-12 11:29:33
Junk в Mozilla-mail все время обращается к почтовому серверу за каждым
проверяемым сообщением, хотя при включенном режиме "автономная работа" письма
скачиваются сразу на локальную машину.

Это создает дополнительный траффик, от которого не мешало бы избавиться.


Steps to Reproduce:
1. Настроить Mozilla-mail на работу через IMAP
2. Включить проверку рекламных сообщений
3. Включить автономную работу в папке inbox
4. Получить новую почту
Actual Results:  
Junk должен брать письма с локальной копии а не с сервера.
------- Comment #1 From 2005-09-02 17:09:41 -------
На сколько я понимаю принцип работы этой фичи - она должна модифицировать
заголовки письма и к работе в автономном режиме не пригодна...
------- Comment #2 From 2005-09-02 18:00:33 -------
Так пускай себе модифицирует локально скачанные.

Я же говорю - при включенной папке для автономной работы. Т.е. - все письма с
inbox скачиваются локально.

Выглядит это так:

скачивается письмо, сохраняется локальная копия, потом скачивается заново уже
Junk'ом и проверяется.

Естественно при подключенной сети.
------- Comment #3 From 2005-09-02 18:10:29 -------
Готов спорить :
Локальная копия письма в протоколе IMAP не обладает "юридической" силой, т.е.
кроме вьювера никто не может производить легальные действия с письмами,
основываясь только на локальной копии. И я считаю что поведение junk mail
абсолютно верно.
------- Comment #4 From 2005-09-02 18:25:00 -------
Почти в самом низу списка есть пожелание сделать нечно подобное... Оно идет как
намного позже пожелания хранить "журнал" транзакций, которые необходимо
выполнить после восстановления связи с сервером... 
http://www.mozilla.org/mailnews/spamtodo.html

Могу закрыть с WONTFIX - все равно это проблема апстрима, а не наша...
------- Comment #5 From 2005-09-02 18:27:21 -------
Ну что ж.. давай поспорим.

Вот выдержка их help'а для работы offline:
"When you go back online, Mozilla Mail & Newsgroups automatically synchronizes
your Inbox messages with the server, by replicating any changes you made while
working offline."

Т.е. - естественно при работе offline можно не только читать письма, но и
например их удалять, помечать как Junk и т.д.

Проблема здесь только одна - письмо скачивается два раза. Один раз для работы
offline, второй раз - для Junk'а.

Т.е. - двойной трафик.
------- Comment #6 From 2005-09-02 18:29:02 -------
(In reply to comment #4)
> Почти в самом низу списка есть пожелание сделать нечно подобное... Оно идет как
> намного позже пожелания хранить "журнал" транзакций, которые необходимо
> выполнить после восстановления связи с сервером... 
> http://www.mozilla.org/mailnews/spamtodo.html
> 
> Могу закрыть с WONTFIX - все равно это проблема апстрима, а не наша...

Так в основном все проблемы - upstream ;-)

Надо или исправлять, или забивать на mozilla-mail. Не все возможно исправить - в
этом случае достаточно отписать в mainstream и ждать ответа / исправления.

А баги в mozilla фиксятся известно - годами. 
------- Comment #7 From 2005-09-02 18:44:08 -------
Так это пока еще и не бага :) Вот когда будет выполнено todo, ссылку на
которрое
я привел, и все равно junk будет скачивать письмо - тогда это будет бага, а
пока
фичреквест и не более...

Так как закрывать INVALID или WONTFIX? :)
------- Comment #8 From 2005-09-02 19:05:06 -------
(In reply to comment #7)
> Так это пока еще и не бага :) Вот когда будет выполнено todo, ссылку на которрое
> я привел, и все равно junk будет скачивать письмо - тогда это будет бага, а пока
> фичреквест и не более...
> 
> Так как закрывать INVALID или WONTFIX? :)

А все равно как.. я уже прожил больше года в поисках удобного почтового клиента,
проживу и еще пару лет ;-)

Но то что не INVALID - это точно ;-)

------- Comment #9 From 2005-09-02 19:11:11 -------
Я все равно считаю что это не бага... :)